# openforcefield.typing.engines.smirnoff.io.XMLParameterIOHandler

class `openforcefield.typing.engines.smirnoff.io.``XMLParameterIOHandler`

  Handles serialization/deserialization of SMIRNOFF ForceField objects from OFFXML format.

  Methods

  `parse_file`(self, source) | Parse a SMIRNOFF force field definition in XML format, read from a file.
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in XML format.
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Write the current forcefield parameter set to an XML string.

  `__init__`(self)

    Create a new ParameterIOHandler.

  Methods

  `__init__`(self) | Create a new ParameterIOHandler.
  `parse_file`(self, source) | Parse a SMIRNOFF force field definition in XML format, read from a file.
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in XML format.
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Write the current forcefield parameter set to an XML string.